%global pypi_name python-gnupg
%global srcname gnupg
%global module_name python_gnupg
%global commitId 5099fd1d07c3015d0b9437e1e1e0570693ed5e62

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{srcname}
Version:        0.5.0
Release:        1%{?dist}
Summary:        A wrapper for the Gnu Privacy Guard (GPG or GnuPG)

License:        BSD
URL:            https://github.com/vsajip/python-gnupg
Source0:        python-gnupg-5099fd1d07c3015d0b9437e1e1e0570693ed5e62.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel

%description
This module allows easy access to GnuPG's key management, encryption and
signature functionality from Python programs. It is intended for use with
Python 2.4 or greater.

%package -n     python%{python3_pkgversion}-%{srcname}

Summary:        A wrapper for the Gnu Privacy Guard (GPG or GnuPG)

%description -n python%{python3_pkgversion}-%{srcname}
This module allows easy access to GnuPG's key management, encryption and
signature functionality from Python programs. It is intended for use with
Python 2.4 or greater.

%prep
%autosetup -n python-%{srcname}-%{commitId}

%build
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheel --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheel %{module_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/__pycache__/%{srcname}.*.pyc
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/%{module_name}-%{version}.dist-info

%changelog
* Tue Sep 13 2022 Satoe Imaishi <simaishi@redhat.com> 0.5.0-1
- 0.5.0 release

* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 0.4.9-1
- Initial release
